Bug 244210 - Parts of Python bindings are unusable
Parts of Python bindings are unusable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 11:14 EDT by Miloslav Trmač
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-13 10:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make <asm/types.h> and <stdint.h> available to swig. (421 bytes, patch)
2007-06-14 11:14 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2007-06-14 11:14:02 EDT
Description of problem:
The second argument of audit.audit_set_enabled is expected to be an uint32_t,
but the Python binding does not know how to create a value of that type.

Version-Release number of selected component (if applicable):
audit-1.5.3-1.fc7

How reproducible:
# python
Python 2.5 (r25:51908, Apr 10 2007, 10:29:13) 
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import audit
>>> fd = audit.audit_open()
>>> audit.audit_set_enabled(fd, 1)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: in method 'audit_set_enabled', argument 2 of type 'uint32_t'
Comment 1 Miloslav Trmač 2007-06-14 11:14:02 EDT
Created attachment 157012 [details]
Make <asm/types.h> and <stdint.h> available to swig.
Comment 2 Steve Grubb 2007-06-14 11:19:17 EDT
Patch applied to development copy of 1.5.4. Thanks!
Comment 3 Steve Grubb 2007-07-13 10:35:20 EDT
Audit 1.5.5 was pushed into rawhide to solve this problem. Thanks for reporting
it and providing a patch.

Note You need to log in before you can comment on or make changes to this bug.